From d8252a90e24b76f14fabfeb0a2a6d2c281dd4d6e Mon Sep 17 00:00:00 2001
From: Antonio Ospite <ao2@ao2.it>
Date: Tue, 8 May 2018 18:30:55 +0200
Subject: [PATCH 1/1] populate-sparsely.sh: exit gracefully if LOCKDIR does not
 exist

If LOCKDIR does not exist it means that the lock is not active so
there's no need to do anything.
---
 .config/vcsh/hooks-available/populate-sparsely.sh | 2 ++
 1 file changed, 2 insertions(+)

diff --git a/.config/vcsh/hooks-available/populate-sparsely.sh b/.config/vcsh/hooks-available/populate-sparsely.sh
index a49e4b4..755092b 100755
--- a/.config/vcsh/hooks-available/populate-sparsely.sh
+++ b/.config/vcsh/hooks-available/populate-sparsely.sh
@@ -5,6 +5,8 @@ set -e
 # Only the same instance of vcsh that had the work dir fully populated is
 # allowed to repopulate it sparsely.
 LOCKDIR=/run/lock/vcsh
+[ -d "$LOCKDIR" ] || exit 0
+
 LOCKPID=$(cat "$LOCKDIR/pid")
 # Use the parent pid because the hooks are launched as children of vcsh.
 [ "$LOCKPID" = $PPID ] || { echo "Repository entered from another vcsh instance. Aborting." 1>&2; exit 1; }
-- 
2.1.4